# SPEC file for AdPlug, primary target is the Fedora Extras
# RPM repository.

Name:		adplug
Version:	1.5.1
Release:	4.20060228cvs%{?dist}
Summary:	A software library for AdLib (OPL2) emulation
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		adplug-1.5.1-texinfo.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	LGPL
BuildRequires:	libbinio-devel >= 1.4
BuildRequires:	pkgconfig
BuildRequires:	texinfo
# Only needed for CVS snapshots
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake

%description
AdPlug is a free software, cross-platform, hardware independent AdLib 
sound player library, mainly written in C++ and released under the 
LGPL. AdPlug plays sound data, originally created for the AdLib (OPL2) 
audio board, directly from its original format on top of an OPL2 
emulator or by using the real hardware. No OPL chip is required for 
playback. It supports various audio formats from MS-DOS AdLib trackers.

%package devel
Summary:        Development files for AdPlug
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libbinio-devel
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info

%description devel
This package contains development files for the AdPlug AdLib
(OPL2) emulator.

%prep
%setup -q
# This removes the version.texi dependency
%patch0 -p1

%build
# We need autogeneration since we use CVS
libtoolize --copy --force
aclocal
automake --add-missing
autoconf
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mkdir -p $RPM_BUILD_ROOT%{_sharedstatedir}/adplug

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libadplug.info.gz %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
/sbin/install-info --delete %{_infodir}/libadplug.info.gz %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%dir %{_sharedstatedir}/adplug
%{_bindir}/adplugdb
%{_mandir}/man1/adplugdb.1*
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_infodir}/*.gz

%changelog
* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 1.5.1-4.20060228cvs
- Pushed upstream to move adplugdb to sharedstatedir /usr/local/com

* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 1.5.1-3.20060101cvs
- Fixed scriptlet problems under non-shell environments.
- Make adplug-devel require libbinio-devel.

* Sun Jan 09 2006 Linus Walleij <triad@df.lth.se> 1.5.1-2.20060101cvs
- Did a clean-up rollercoaster ride.

* Sun Jan 01 2006 Linus Walleij <triad@df.lth.se> 1.5.1-1.20060101cvs
- We need the CVS version to get going (fixes were initialized in
  upstream by ourselves so we should eat our own dogfood).

* Tue Oct 11 2005 Linus Walleij <triad@df.lth.se> 1.5.1-1
- First try at an AdPlug RPM.
